apiVersion: apps/v1
kind: Deployment
metadata:
  name: apache
  namespace: default
  labels:
    app: httpd_app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: httpd_app
  template:
    metadata:
      labels:
        app: httpd_app
    spec:
      containers:
        - name: apache
          image: httpd:latest
          ports:
            - containerPort: 80
          volumeMounts:
          - mountPath: /usr/local/apache2/htdocs
            name: data
      volumes:
        - hostPath:
            path: /media/kube/adztech/site-web
            type: ""
          name: data
